#!/bin/sh -x

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.zerotier-one.new
( cd usr/sbin ; rm -rf zerotier-cli )
( cd usr/sbin ; ln -sf zerotier-one zerotier-cli )
( cd usr/sbin ; rm -rf zerotier-idtool )
( cd usr/sbin ; ln -sf zerotier-one zerotier-idtool )
( cd var/lib/zerotier-one ; rm -rf zerotier-cli )
( cd var/lib/zerotier-one ; ln -sf ../../../usr/sbin/zerotier-one zerotier-cli )
( cd var/lib/zerotier-one ; rm -rf zerotier-idtool )
( cd var/lib/zerotier-one ; ln -sf ../../../usr/sbin/zerotier-one zerotier-idtool )
( cd var/lib/zerotier-one ; rm -rf zerotier-one )
( cd var/lib/zerotier-one ; ln -sf ../../../usr/sbin/zerotier-one zerotier-one )
